curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset/7453f146-b267-11f1-b4f4-0abd773ba497/corporate-action' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [],
"total_items": 0,
"total_pages": 0
}
Stocks
List corporate actions
List applied corporate actions that affect the asset share multiplier.
GET
/
asset
/
{asset_id}
/
corporate-action
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset/7453f146-b267-11f1-b4f4-0abd773ba497/corporate-action' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [],
"total_items": 0,
"total_pages": 0
}
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset/7453f146-b267-11f1-b4f4-0abd773ba497/corporate-action' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [],
"total_items": 0,
"total_pages": 0
}
Authorizations
The API token for login provided by UQPAY.
Path Parameters
Asset identifier returned by List assets.
Query Parameters
The page number to retrieve.
Required range:
1 <= x <= 1000000The maximum number of items to return per page.
Required range:
1 <= x <= 100Response
Success
Items on this page. An empty array can indicate no matches or a page beyond the last result.
Show child attributes
Show child attributes
Number of result pages for the requested page size.
Required range:
x >= 0Example:
0
Number of matching items across all pages.
Required range:
x >= 0Example:
0

